<?php

/* * ***************************************************************************
  请游戏方将当前操作放到服务器端完成并向小7提供当前请求的IP地址，以加入白名单。
 * *************************************************************************** */
/**
 * 小7手游换取用户信息
 * @version
 *          1.0.0 Created at 2018-3-9. by --gwang
 * @author gwang (mail@wanggangzero.cn)
 * @copyright ? 2018-3-9, SJZ LoyalSoft Corporation & gwang. All rights reserved.
 */
include_once __DIR__ . '/../../../main.php';             # 导入game utils
include_once __DIR__ . '/../Mo/resp.php';                # 导入通用返回值结构
include_once __DIR__ . '/../Mo/payRequest.php';          # 导入通用订单请求结构
require_once __DIR__ . '/config_x7sy.php';               # 配置文件
include_once __DIR__ . "/common.php";

use loyalsoft\CLog;
use loyalsoft\JsonUtil;
use loyalsoft\HttpUtil;

HttpUtil::PostOnly();                                                           # 要求客户端必须以post方式提交数据
//参数: access_token
$str = HttpUtil::getQueryString();                                              # 提取参数字符串
//$str = \gzinflate($str);                                                      # 解压
$req = JsonUtil::decode($str);                                                  # 反序列化到对象
try {
    $cfg = config_x7sy::Inst();
    $appkey = $cfg->AppKey;
    $token = $req->tokenkey;
    $sign = md5($appkey . $token);
    $params = array('tokenkey' => $token, 'sign' => $sign);
    $result = HttpUtil::makeRequest($cfg->LoginApiURL, $params);
    if ($result['result']) {
        $ret = JsonUtil::decode($result['msg']);                                #  
        if ($ret->errorno == 0) {                                               # 登录校验通过
            echo Resp::ok($ret->data);
        } else {
            echo Resp::err($ret->errorno, $ret->errormsg);                      # 错误信息
        }
    } else {
        echo Resp::err($result['errno'], $result['msg']);                       # 通讯失败
    }
} catch (\Exception $e) {                                                       # 其他异常
    echo Resp::err($e->getCode(), $e->getMessage());
}
//////////////////////////////////////////////////////////////////////////////
//$paramArr = array();
//$cfg = config_x7sy::Inst();
//$appkey = $cfg->AppKey;
//$paramArr['tokenkey'] = "789456";
//$paramArr['sign'] = md5($appkey . $paramArr['tokenkey']);
//$url = "https://api.x7sy.com/user/check_login";
//$data = sendCurlGet($url, $paramArr);
//print_r($data);
